Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryBigDecimalInstantiationAstVisitor

- groovy.org.codenarc.rule.unnecessary.UnnecessaryBigDecimalInstantiationAstVisitor

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnnecessaryBigDecimalInstantiationAstVisitor ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `isTypeSuffixNecessary(def argument)`
    `` | `protected boolean` | `shouldSkipViolation(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UnnecessaryInstantiationAstVisitor` | `isTypeSuffixNecessary, shouldSkipViolation, visitConstructorCallExpression`

- - ### Constructor Detail

    - #### UnnecessaryBigDecimalInstantiationAstVisitor()

  - ### Method Detail

    - #### @Override protected boolean isTypeSuffixNecessary(def argument)

    - #### @Override protected boolean shouldSkipViolation(Object value)